Get Unmatched Result Test
curl --request GET \
--url https://api.us.junction.com/v3/unmatched_result_test/{run_id} \
--header 'x-vital-api-key: <api-key>'import requests
url = "https://api.us.junction.com/v3/unmatched_result_test/{run_id}"
headers = {"x-vital-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-vital-api-key': '<api-key>'}};
fetch('https://api.us.junction.com/v3/unmatched_result_test/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"stage": "queued",
"case": "match_completed",
"order_source": "managed",
"result_status": "final",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"orders": {},
"raw_result_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"code": "<string>",
"message": "<string>"
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": "<unknown>"
}Unmatched Results
Get Unmatched Result Test
Retrieve the status and generated artifacts for a Sandbox unmatched-result test run via the Junction API.
GET
/
v3
/
unmatched_result_test
/
{run_id}
Get Unmatched Result Test
This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.
This endpoint is available only in Sandbox and requires unmatched-result testing to be enabled for your team.
Authorizations
Vital Team API Key
Path Parameters
Response
Successful Response
ℹ️ This enum is non-exhaustive.
Available options:
queued, running, succeeded, failed ℹ️ This enum is non-exhaustive.
Available options:
queued, validating, selecting_configuration, creating_orders, transitioning_orders, writing_result, matching_result, verifying_review, succeeded, failed ℹ️ This enum is non-exhaustive.
Available options:
match_completed, match_cancelled, wrong_collection, wrong_lab, multiple_demo_match, match_sample_id_mismatch_demo, match_demo, no_match ℹ️ This enum is non-exhaustive.
Available options:
managed, provided ℹ️ This enum is non-exhaustive.
Available options:
final, partial Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Get Unmatched ResultUnmatched Lab ResultsCreate Unmatched Result TestList Unmatched Result Test CasesAccept Unmatched ResultWas this page helpful?